webapp:
  image: rookeries/webapp:build
  ports:
    - "3000:3000"
  environment:
    - ROOKERIES_API_SERVER=http://api:5000
    - ROOKERIES_API_KEY=b423602c-2156-4eab-b647-f6b05d66c2e3
  hostname: webapp
  links:
    - api

api:
  image: rookeries/api:build
  ports:
    - "5000:5000"
  environment:
    - ROOKERIES_SQLALCHEMY_DATABASE_URI=postgresql+psycopg2://admin:password@db:5432/rookeries
    - ROOKERIES_JWT_SECRET_KEY=problematic_penguins
  hostname: api
  links:
    - db

db:
  image: postgres:9.6
  environment:
    - POSTGRES_USER=admin
    - POSTGRES_PASSWORD=password
    - POSTGRES_DATABASE=rookeries
  hostname: db
